return function(Class, Instance)

function Instance:archive()
    local result = {
        name = self:getName(),
        size = self:getSize(),
    }
    for feature, value in pairs(self:getFeatures()) do
        result[feature] = value
    end
    return 'Font', result
end

end
